Rensei docs

Update agent trust level

Update agent trust level - Rensei REST API operation reference.

PATCH
/api/a2a/agents/{id}

Authorization

cookieAuth
wos-session<token>

WorkOS AuthKit browser session cookie.

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/a2a/agents/string" \  -H "Content-Type: application/json" \  -d '{    "trustLevel": "internal"  }'
{
  "agent": {
    "id": "string",
    "orgId": "string",
    "url": "http://example.com",
    "trustLevel": "internal",
    "card": {
      "name": "string",
      "url": "http://example.com",
      "version": "string",
      "description": "string",
      "skills": [
        {}
      ]
    },
    "lastFetchedAt": "2019-08-24T14:15:22Z",
    "reachable": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "Session not found"
}
{
  "error": "Session not found"
}
{
  "error": "Session not found"
}